/***************************************************************************
 *   Copyright (C) 2004-2006 by Pere Constans
 *   constans@molspaces.com
 *   cb2Bib version 0.6.1
 *   See LICENSE file that comes with this distribution
 ***************************************************************************/
#ifndef ASTRING_H
#define ASTRING_H

#include <qregexp.h>
#include <qstring.h>
#include <qstringlist.h>

/**
@author Pere Constans
*/
class AString : public QString
{
public:
    AString( QString Alist, bool full_form = 0 );
    ~AString();

    QString bib() const;

private:
    bool authorsInUC;
    bool containLowerCaseLetter( QString );
    bool containUpperCaseLetter( QString );
    bool fullForm;
    bool RevName( QString );
    const QString capitalize( const QString& name );
    const QString processFirstMiddle( const QString& first_middle );
    QString authors;
    QString toBib( QString );

};

#endif
